Bug 182194 - xorg catches Signal 11 immediately after loading synaptics driver
xorg catches Signal 11 immediately after loading synaptics driver
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2006-02-20 17:44 EST by cam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-22 18:33:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bzip compressed core file (202.32 KB, application/octet-stream)
2006-02-21 20:05 EST, cam
no flags Details

  None (edit)
Description cam 2006-02-20 17:44:37 EST
Description of problem:

Installed FC5t2, X would hang the machine. Booted as single user and yum updated
as at 20th Feb 2006

This bug relates to the inability of the X server to start.
Dell Inspiron 6000 with Radeon X300, synaptics touchpad and 1920x1200 screen

How reproducible: every time

Steps to Reproduce:
1. Install FC5t2, yum update. 
2. attempt to start X
Actual results:

X server gets Signal 11

Expected results:

X server starts normally

Additional info (tail end of Xorg.0.log):

(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.o
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.5

   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Fatal server error:
Caught signal 11.  Server aborting

Workaround: remove or comment the following line from xorg.conf:

#       Load  "synaptics"
Comment 1 Paul Nasrat 2006-02-21 18:30:35 EST
Can you boot into run level 3

ulimit -c unlimited

compress and attach the generated core to this bug report.
Comment 2 cam 2006-02-21 20:04:27 EST
init 3
ulimit was already unlimited
core.3023.bz2 attached soon
Comment 3 cam 2006-02-21 20:05:42 EST
Created attachment 124994 [details]
bzip compressed core file
Comment 4 cam 2006-02-21 20:13:57 EST
I had an idea that selinux might be involved. I set it to 'Disabled' and the bug
no longer happens. Any ideas how to debug further? I used ls -Z and the
synaptics .o was similar to the other ones. Which log should give more details
of the problem?
Comment 5 cam 2006-02-22 18:33:30 EST
No longer able to reproduce this bug in FC5t3. Same versions of synaptics and
xorg-x11-drivers so I'm not sure what has been fixed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.